### Enumeration

# Vips ForeignDzDepth

#### Declaration

    enum Vips.ForeignDzDepth

#### Description [src]

How many pyramid layers to create.

#### Members

`VIPS_FOREIGN_DZ_DEPTH_ONEPIXEL`

  Create layers down to 1x1 pixel.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_DZ_DEPTH_ONETILE`

  Create layers down to 1x1 tile.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_DZ_DEPTH_ONE`

  Only create a single layer.

  - Value: `2`
  - Available since: 8.0